PrefabFiles = {
	"astick",
	"grasp",
	"anub",
	"poly",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/anub.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/anub.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/anub.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/anub.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/anub_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/anub_silho.xml" ),

    Asset( "IMAGE", "bigportraits/anub.tex" ),
    Asset( "ATLAS", "bigportraits/anub.xml" ),
	
	Asset( "IMAGE", "images/map_icons/anub.tex" ),
	Asset( "ATLAS", "images/map_icons/anub.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_anub.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_anub.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_anub.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_anub.xml" ),
	--
	Asset( "IMAGE", "images/saveslot_portraits/poly.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/poly.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/poly.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/poly.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/poly_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/poly_silho.xml" ),

    Asset( "IMAGE", "bigportraits/poly.tex" ),
    Asset( "ATLAS", "bigportraits/poly.xml" ),
	
	Asset( "IMAGE", "images/map_icons/poly.tex" ),
	Asset( "ATLAS", "images/map_icons/poly.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_poly.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_poly.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_poly.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_poly.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

STRINGS.NAMES.GRASP = "Poly's Grasp"
STRINGS.NAMES.ASTICK = "A-nub Stick"

STRINGS.CHARACTERS.GENERIC.DESCRIBE.GRASP = "Looks like Poly's hand."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ASTICK = "A-nub's favorite item."

-- The character select screen lines
STRINGS.CHARACTER_TITLES.anub = "The Egyptian Dog"
STRINGS.CHARACTER_NAMES.anub = "A-nub"
STRINGS.CHARACTER_DESCRIPTIONS.anub = "*Carries Walking Staff\n*Has a high spirit"
STRINGS.CHARACTER_QUOTES.anub = "\"A-nub loves you all\""

-- Custom speech strings
STRINGS.CHARACTERS.ANUB = require "speech_anub"

-- The character's name as appears in-game 
STRINGS.NAMES.ANUB = "A-nub"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ANUB = 
{
	GENERIC = "It's A-nub!",
	ATTACKER = "That A-nub looks shifty...",
	MURDERER = "Murderer!",
	REVIVER = "A-nub, friend of ghosts.",
	GHOST = "A-nub could use a heart.",
}


AddMinimapAtlas("images/map_icons/anub.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("anub", "FEMALE")



-- The character select screen lines
STRINGS.CHARACTER_TITLES.poly = "The Merciful Smasher"
STRINGS.CHARACTER_NAMES.poly = "Poly"
STRINGS.CHARACTER_DESCRIPTIONS.poly = "*Carries a Smasher\n*Healthy"
STRINGS.CHARACTER_QUOTES.poly = "\"If you're one of us, You will be OK\""

-- Custom speech strings
STRINGS.CHARACTERS.POLY = require "speech_poly"

-- The character's name as appears in-game 
STRINGS.NAMES.POLY = "Poly"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.POLY = 
{
	GENERIC = "It's Poly!",
	ATTACKER = "That Poly looks shifty...",
	MURDERER = "Murderer!",
	REVIVER = "Poly, friend of ghosts.",
	GHOST = "Poly could use a heart.",
}


AddMinimapAtlas("images/map_icons/poly.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("poly", "MALE")